/boletosIssue Boleto
Request Body
requiredRequest with information to create a boleto
Primary identifier of the boleto connection
Your identifier for this boleto
Boleto amount
Due date for the boleto. Must be today or in the future.
Fine information for late payment
Interest information for late payment
Example
{
"boletoConnectionId": "550e8400-e29b-41d4-a716-446655440000",
"boleto": {
"seuNumero": "string",
"amount": 0,
"dueDate": "2024-01-01T00:00:00Z",
"payer": {
"taxNumber": "41.679.495/0001-00",
"name": "NOME LEGAL EMPRESA",
"addressStreet": "string",
"addressCity": "string",
"addressState": "string",
"addressZipCode": "string"
},
"fine": {
"value": 0,
"type": "PERCENTAGE"
},
"interest": {
"value": 0,
"type": "PERCENTAGE"
}
}
}Responses
Response with information related to an issued boleto
Primary identifier
Boleto amount
Current status of the boleto. - `OPEN`: the boleto has been issued and is awaiting payment. - `PAID`: the boleto has been paid (see `paidAt`, `amountPaid`, `paymentOrigin`). - `OVERDUE`: the due date has passed and the boleto has not been paid. - `CANCELLED`: the boleto was canceled by the issuer. - `PROTESTED`: the boleto was sent to a protesto/credit-bureau process.
Your identifier for this boleto
Due date of the boleto
Payer tax number (CPF/CNPJ)
Type of person (individual or business)
Payer name
Payer street address
Payer address number
Additional address information
Payer neighborhood
Payer city
Payer state
Payer ZIP code
Payer email
Payer area code
Payer phone number
PIX QR code for payment
Boleto digitable line
Bank's internal identifier for the boleto
Boleto barcode
ID of the boleto connection used to create this boleto
Date when the boleto was created
Amount that was paid for this boleto
Origin of the payment when the boleto is paid
Fine information for late payment
Fine value
Type of fine calculation
Interest information for late payment
Interest value
Type of interest calculation
Date when the boleto was paid
Example response
{
"id": "string",
"amount": 0,
"status": "OPEN",
"seuNumero": "string",
"dueDate": "2024-01-01T00:00:00Z",
"payer": {
"taxNumber": "string",
"personType": "string",
"name": "string",
"addressStreet": "string",
"addressNumber": "string",
"addressComplement": "string",
"addressNeighborhood": "string",
"addressCity": "string",
"addressState": "string",
"addressZipCode": "string",
"email": "string",
"ddd": "string",
"phoneNumber": "string"
},
"pixQr": "string",
"digitableLine": "string",
"nossoNumero": "string",
"barcode": "string",
"boletoConnectionId": "550e8400-e29b-41d4-a716-446655440000",
"createdAt": "2024-01-01T00:00:00Z",
"amountPaid": 0,
"paymentOrigin": "PIX",
"fine": {
"value": 0,
"type": "PERCENTAGE"
},
"interest": {
"value": 0,
"type": "PERCENTAGE"
},
"paidAt": "2024-01-01T00:00:00Z"
}Code Examples
curl -X POST 'https://api.pluggy.ai/boletos' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY' \
-d '{}'